Namespace: webdriver.testing
View Source

# class ContainsMatcher

All implemented interfaces
  `goog.labs.testing.Matcher`

Accepts strins or array-like structures that contain `value`.

### new ContainsMatcher(value)

Parameters

value`*`

  The value to check for.

## Instance Methods

### describe(value, opt_description)code »

Describes why the matcher failed.

Specified by: goog.labs.testing.Matcher

Parameters

value`*`

  The value that didn't match.

opt_description`string=`

  A partial description to which the reason will be appended.

Returns

`string`

  Description of why the matcher failed.

### matches(value)code »

Determines whether a value matches the constraints of the match.

Specified by: goog.labs.testing.Matcher

Parameters

value`*`

  The object to match.

Returns

`boolean`

  Whether the input value matches this matcher.